Commit 54b6649c authored by Karoly Kasza's avatar Karoly Kasza Committed by Thomas Petazzoni
Browse files

package/openvmtools: bump version to 9.10.0



[Thomas:
  - add explicit --with-ssl
  - remove comment above openssl condition, as it is obvious what is
    happening.]

Signed-off-by: default avatarKaroly Kasza <kaszak@gmail.com>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent 8ee6d5aa
Loading
Loading
Loading
Loading
+0 −21
Original line number Diff line number Diff line
scripts/linux/network: exit normally if no network control script

When using suspend/resume from the hypervisor, openvmtools checks for the
networking script, and exists with an error if not found, making the hypervisor
raise a warning message. This workaround silences that error message.

Signed-off-by: Karoly Kasza <kaszak@gmail.com>

--- open-vm-tools-9.4.6-1770165.orig/scripts/linux/network	2014-07-02 00:21:14.000000000 +0200
+++ open-vm-tools-9.4.6-1770165/scripts/linux/network	2014-08-07 16:34:21.963514273 +0200
@@ -88,7 +88,9 @@
 run_network_script()
 {
    script=`find_networking_script`
-   [ "$script" != "error" ] || Panic "Cannot find system networking script."
+#   [ "$script" != "error" ] || Panic "Cannot find system networking script."
+# Modified for buildroot
+   [ "$script" != "error" ] || exit 0
 
    # Using SysV "service" if it exists, otherwise fall back to run the script directly
    service=`which service 2>/dev/null`
+0 −28
Original line number Diff line number Diff line
conditionally define g_info

glib also defines a g_info macro since 2.39.2, conflicting with the one in
openvmtools:

https://git.gnome.org/browse/glib/commit/?h=glib-2-40&id=36f1a4ce7ed6df6aa8

Patch from Fedora:

https://bugzilla.redhat.com/show_bug.cgi?id=1063847
http://pkgs.fedoraproject.org/cgit/open-vm-tools.git/tree/g_info_redefine.patch

Signed-off-by: Peter Korsgaard <peter@korsgaard.com>

diff -uNr open-vm-tools-9.4.0-1280544.orig/lib/include/vmware/tools/log.h open-vm-tools-9.4.0-1280544/lib/include/vmware/tools/log.h
--- open-vm-tools-9.4.0-1280544.orig/lib/include/vmware/tools/log.h	2013-09-23 19:51:10.000000000 +0400
+++ open-vm-tools-9.4.0-1280544/lib/include/vmware/tools/log.h	2014-02-18 10:56:50.368604176 +0400
@@ -134,7 +134,9 @@
  *******************************************************************************
  */
 
-#define g_info(fmt, ...) g_log(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, fmt, ## __VA_ARGS__)
+#if !defined(g_info)
+#  define g_info(fmt, ...) g_log(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, fmt, ## __VA_ARGS__)
+#endif
 
 
 /*
+18 −0
Original line number Diff line number Diff line
lib/misc/idLinux.c: add uClibc support

uClibc does not have a secure_getenv function, so we use the
Android method.

Signed-off-by: Karoly Kasza <kaszak@gmail.com>

--- open-vm-tools-9.10.0-2476743.orig/lib/misc/idLinux.c	2015-03-29 12:19:30.776922510 +0200
+++ open-vm-tools-9.10.0-2476743/lib/misc/idLinux.c	2015-03-29 12:30:30.000000000 +0200
@@ -997,7 +997,7 @@
 static Bool
 IdIsSetUGid(void)
 {
-#if defined(__ANDROID__)
+#if defined(__ANDROID__) || defined(__UCLIBC__)
    /* Android does not have a secure_getenv, so be conservative. */
    return TRUE;
 #else
Loading